Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. GlItems
  • Actions
    • POST (create) an action
      POST
    • POST (create) a reports action/generate a report
      POST
  • ArItems
    • GET a list of AR items
      GET
    • PUT (update) ar item details
      PUT
    • GET one AR item
      GET
  • AutoPostings
    • POST (create) one or more auto postings
      POST
  • Batches
    • GET one batch
      GET
  • ClientConfigs
    • GET a list of client config values
      GET
    • GET values for one client config key
      GET
  • Codes
    • GET ARM system code values
      GET
  • Customers
    • POST (create) one customer
      POST
    • PUT (update) one customer
      PUT
    • GET a list of customers
      GET
    • GET one customer
      GET
    • DELETE a customer
      DELETE
    • POST (create) a batch of customers
      POST
    • PUT (update) a batch of customers
      PUT
  • DocumentBundles
    • GET a list of document bundles
      GET
    • GET one document bundle
      GET
  • Documents
    • POST (create) one document
    • GET a list of documents
    • GET one document
    • POST (create) a batch of documents
  • Files
    • GET one or more OS files
    • POST (upload) one or more OS files
    • GET one OS file
  • GlItems
    • Get one GL item
      GET
    • GET a list of GL items
      GET
  • GlMovements
    • Get movement/balance for the latest closed GL year/period
    • GET a list of GL movements/balances
  • Insights
    • GET a list of ADB intervals
  • LogItems
    • GET one log item
    • GET a list of log items
  • PaymentReservations
    • POST (create) a new payment reservation
  • Health
    • Check API health
  1. GlItems

Get one GL item

GET
/clients/{clientno}/glitems/{glitemid}
Get details for one GL item based on GL item ID as path parameter

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Header Params

Responses

🟢200
application/json
GL item found
Headers

Body

🟠401Unauthorized
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/clients//glitems/' \
--header 'Accept-Language;' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Get GL item response
{
    "clientNo": 2218,
    "glItemId": "2218-2025-08-1",
    "glAccountNo": 1030,
    "clientGlAccountNo": "1030",
    "glAccountName": "Bank",
    "glYear": 2025,
    "glPeriod": 2,
    "lineNo": 28,
    "dimension1": 123,
    "dimension2": 234,
    "dimension3": "abc",
    "dimension4": "bcd",
    "glAmount": 625,
    "currency": "NOK",
    "currencyAmount": 625,
    "voucherDate": "2025-02-27",
    "voucherNo": 57869,
    "voucherType": 3,
    "voucherTypeDescription": "Payment",
    "transactionText": "Payment",
    "glCaseNo": 1165723,
    "glLotNo": 6852398,
    "ledgerSource": "GL",
    "arAccountNo": 0,
    "referenceNo": 0,
    "referenceSequenceNo": 0,
    "arItemId": "",
    "externalId1": "9Pb3bfEjKr2iFPxKNIGHhB",
    "exportId1": 23,
    "createdTime": "2025-02-27T17:03:36.176+01:00"
}
Modified at 2026-04-14 09:49:15
Previous
GET one OS file
Next
GET a list of GL items
Built with